Subject: Re: [PATCH iproute2] ip route: Make name of protocol 0 consistent

From: Stephen Hemminger <[email-masked]>
Date: Tue, 7 Feb 2017 14:19:07 -0800

On Tue, 7 Feb 2017 14:51:45 -0700
David Ahern <[email-masked]> wrote:

> On 2/7/17 2:40 PM, Stephen Hemminger wrote:
> >> Reading the file changes the string in rtnl_rtprot_tab for
> >> RTPROT_UNSPEC. Both string values -- "none" and "unspec" come from
> >> iproute2, so my point is that string is inconsistent within iproute2.  
> > 
> > Why not change the value in the table rtnl_rtprot_tab to be unspec this would
> > make the command consistent with the value in the header file.
> >   
> 
> I flipped a coin; it landed on config file.
> 
> "none" is the value that has shown up for 13+ years unless a custom
> protocol value is used triggering the 'unspec'. Seems to me a custom
> protocol value is a rare event suggesting conformity to "none" over
> "unspsec". I really don't care what the string is, but it should be
> consistent. If you want 'unspec' I'll change rtnl_rtprot_tab

Agree it was a coin toss, there were two values in iproute2, but the
kernel header file enum value should supersede.